11.10.2024: Release 5.2.6 "Quasar"
###############################################################################

A new bugfix release KVIrc 5.2.6 "Quasar" has been released.

A few bugs were fixed, including potential app crashes.
Windows users will be delighted to see that KVIrc correctly follows the
operating system's dark mode theme when enabled.
Please note that we have added an additional Windows binary based on Qt5 that
still supports Windows 7.

For every need, or even just for some small talking, come and say hi at
#kvirc@Libera.chat

Have fun!
The KVIrc Development Team


11.05.2024: Release 5.2.4 "Quasar"
###############################################################################

A couple of month has passed, and 5.2.4 is available.

This is mostly a bugfix release, including some quality of life improvements
for Wayland users on GNU/Linux and Windows users running KVirc as a "portable"
app. It also includes an important fix for a crash related to the undo/redo
functionality. As a goodie, a new "Vertical line margin" option has been added
to the ircview to make your ASCII art look better than ever.

For every need, or even just for some small talking, come and say hi at
#kvirc@Libera.chat

Have fun!
The KVIrc Development Team


08.03.2024: Release 5.2.2 "Quasar"
###############################################################################

Here we go again: 5.2.2 is ready.

This release introduces the use of Qt version 6 on all platforms.
This adds better support for recent operating systems like Windows 10/11 and
macOS, fixing a few long standing issues.
Since 5.2.0 a few critical bugfixes has been added, including fixes for crashes
and memory leaks.

For every need, or even just for some small talking, come and say hi at
#kvirc@Libera.chat

Have fun!
The KVIrc Development Team


14.01.2024: Release 5.2.0 "Quasar"
###############################################################################

This release contains changes from the last 5 years of development, including:

  * Support for the latest version of upstream libraries: Qt5.15/6.6, KDE5/6,
    OpenSSL 1.x/3.x
  * Wayland support
  * Fix for some nasty crash bugs
  * an improved font rendering engine able to represent complex characters like
    emojis with ligatures
  * a reworked tray icon that now follows your OS style
  * better support for solanum ircd (Libera net)

For every need, or even just for some small talking, come and say hi at
#kvirc@Libera.chat

Have fun!
The KVIrc Development Team




###############################################################################
# Historic entries : just for the curious
###############################################################################


01.01.2019: Release 5.0.0 "Aria"
###############################################################################

It took quite some time, but here it is: an official stable 5.0.0.

Since the beta1 release several bugs were fixed and the codebase has been
polished a quite lot. The last stable release was more than six years ago,
so the changes are really too many to be listed. You're encouraged to upgrade
and just try it out.

Most prominent contributors to this release are IceN9ne, wodim, Stanzilla,
DarthGandalf, Dessa, staticfox, AndrioCelos and craftwar: Honor and Glory! :)
As usual, developers hang around #kvirc@Freenode. Come in and say hi!

Have fun!
Szymon Stefanek and The KVIrc Development Team


29.12.2017: Release 5.0.0-beta1
###############################################################################

After some years and a couple of alpha releases we have a beta.
Well.. it's marked "beta" but you'll probably find it pretty much stable.
Several people have worked on the codebase and ultimately on this release.
Many of them hang daily around #kvirc@Freenode. Come and say hi! :)

Have fun!
Szymon Stefanek and The KVIrc Development Team



01.07.2012: Release 4.2.0 "Equilibrium"
###############################################################################

Finally, a new major milestone version of KVIrc is released!

Two years has passed since the original KVIrc 4 release. While the original
4.0 code was put in maintenance mode, a lot of time has been dedicated to merge
new features inside KVIrc. Today we present the result of this development.

Support for new os/architectures:
 - Mac OSX support, clang support
 - 64-bit Windows support
 - improved FreeBSD integration
 - even an esperimental OS/2 patch is available

More scripting power:
 - the interface to the popup subsystem has been rewritten: the new popup module
 - a new interface to the userlist: the userlist module
 - a new webView class that embeds a webkit
 - improved SQL classes
 - a new trayicon KVS class
 - added a default script manager to restore default scripts without overwriting
   custom user scripts
 - lots of new functions: $file.time(), $insideAlias(), $log.export(),
   $file.diskspace(), $isBot(), $gender(), $context.connectionStartTime,
   $context.lastMessageTime, $listtimers(), $window.isDocked, $aliasBody(),
   $file.readBytes(), $file.writeBytes(), window.savePropertiesAsDefault,
   $chan.modeParam(), ...
 - new certificate related functions: $dcc.getSSLCertInfo(), $certificate(),
   $str.evpSign(), $str.evpVerify()

A lot of new misc features:
 - a module to support FiSH irc encryption
 - smart logging paths using KVS
 - medialayer support: VLC, Spotify, Totem, Clementine, ...
 - a rewritten log viewer module
 - dynamic support for custom channel modes

As usual, we'd like to thank all the people supporting KVIrc development and its
userbase. A big hug to the resident users of #kvirc@Freenode for their continuous
effort on bridging the gap between developers and users.

Have fun :)
Szymon Stefanek and The KVIrc Development Team



19.03.2011: Release 4.0.4 "Insomnia"
###############################################################################

Here we go again: 4.0.4 is ready.

This is mainly a bugfix release.

Configuration from existing 4.0.0/4.0.2 installations will be completely preserved
and everyone is encouraged to upgrade.

As usual, the bugs for this release should be reported by using the bugtrack
system available at https://svn.kvirc.de/kvirc/

Have fun :)
Szymon Tomasz Stefanek and The KVIrc Development Team



01.08.2010: Release 4.0.2 "Insomnia"
###############################################################################

Here we go again: 4.0.2 is ready.

This is mainly a bugfix release. 4.0.0 went public after a very long delay and
even if we have tested it thoroughly some problems still managed to escape our
attention. There are fixes for several minor annoyances and the very important
patch for a security issue related to DCC handshakes (secunia advisory SA40727)

Configuration from existing 4.0.0 installations will be completely preserved
and everyone is encouraged to upgrade.

As usual, the bugs for this release should be reported by using the bugtrack
system available at https://svn.kvirc.de/kvirc/

Have fun :)
Szymon Tomasz Stefanek and The KVIrc Development Team


27.06.2010: Release 4.0.0 "Insomnia"
###############################################################################

And again, after more than one year, we're back with a new release.

The major version increment from 3 to 4 reflects a big milestone reached by the
project: the port to Qt4 has been officially completed. This required a lot of
code to be rewritten and I must say that we have suffered it a bit. But now
it's done and Qt4 is a great framework to base KVIrc on, far better than Qt3.

Notable new features of this release include:

- Definitive and stable port to the Qt4 libraries
- A brand new build system based on CMake (no more ./configure)
- Better support for server tecnologies: CAPS, STARTTLS, SASL, irc services...
- A new UPnP module to control and remotely map your router ports for DCC
- A totally rewritten MDI subsystem, with the look and feel of your OS
- A nice graphical addon packager
- A visual class editor for object oriented scripting
- A rewritten iograph module to check your bandwidth usage
- Support for animated avatars
- Ability to get other user's avatars/information without the need to
  CTCP the whole channel
- Support for DBus inter-process communication
- Support for the MPRIS media player control and info reporting
- Support for Phonon direct media playback
- Improved platform compatibility for KDE4, MacOSX, Seven etc...
- A lot of new options to better customize your client
- A lot of new KVS commands and functions for your scripting needs
- Tons of bug fixes, more than 500 only from the bugtracker
- A better documentation of the code for those who like to give a look at it.
- Months of testing and fixing to assure you an optimal IRC experience ;)
_ ...

Again a lot of people contributed to this release. It would be simply unfair
not to mention the huge development effort made by Elvio Basello (HelLViS69),
Fabio Bas (CtrlAltCa) and Alessandro Carbone (Noldor). Without their hard work
KVIrc 4.0.0 wouldn't be possible.

Other kudos go to Markus Rennings (mren), Kai Wasserbäch (Curan),
Jan Wagner (spy6), Claudia Mongini (etherea), Jose (Zé) Melo (mmodem),
Alexey Uzhva (alexey), Robert Förster (Dessa), ambossarm, TheXception,
Voker57, Thomas Kalla, bugslayer, Aeriana, Desowin and obviously to everyone
on #kvirc@freenode who provided testing and support.

Well... it's time to play with it.

Have fun :)
Szymon Stefanek and The KVIrc Development Team

###############################################################################
General notes for the 4.0.0 release of the KVIrc IRC client
###############################################################################

- Installation

The detailed installation instructions for the unix source distribution
are in the INSTALL file.

The Windows version needs no installation: you just need to run the
installer executable and follow the proposed steps.

Other documentation can be found in the doc subdirectory.

- Reporting problems

You are encouraged to "mess" with all the KVIrc options and features,
and to report bugs and misbehaviours to the author.
Anyway, before reporting a bug, ask yourself if it can be caused
by some other part of your system: KVIrc uses many external libraries
and (as all programs) relies on a correct system behaviour.
Make sure that the libraries you use are the correct ones (!!!).

When you encounter a problem please read the FAQ that is found
in the distribution and also take a look at http://www.kvirc.net
for a more recent version. If nothing helps to solve your problem
then you might consider issuing a bug report.

The best way to report a bug is to use the bugtrack system at
https://github.com/kvirc/KVIrc/issues/. Another way is to subscribe
to the kvirc mailing list (see http://www.kvirc.net for instructions)
and report the problem there. In both cases your bug report
should be written in english and should contain most information
possible about the problem. If you have encountered a crash
on an unix platform you should include a gdb backtrace (stack dump).
The more gdb info you send, the biggest is the possibility for us
to find the problem and maybe a solution. There is a FAQ entry
that explains how to produce a suitable gdb backtrace.
If you can't obtain a gdb backtrace (maybe because you're on
a platform where gdb is not available) or if the problem
is not related to a program crash then you should include
a detailed procedure that leads to the manifestation of your problem.
You should always include a short description of the platform you
are running on: the operating system, the cpu (if not an x86),
the version of the Qt library and the KDE environment (if relevant).
You should also mention the relevant version of KVIrc and where
you got it from (svn, kvirc site, other sites).






15 October 2008: Release 3.4.2 "Shiny"
###############################################################################

Here we go with another release :)

In march we said that 3.4.0 was the last release of the 3.* but we've found
that a little update wasn't going to hurt while the mainstream 4.* is being
worked out. Technically this is a mainly bugfix release: there are no major
new features inside. Some annoying 3.4.0 bugs were wiped out, some docs were
updated and we'll hopefully have a more stable windows binary.

If you're using 3.4.0 (or some older version) then you're strongly encouraged
to upgrade.

Have fun :)
Szymon Stefanek and The KVIrc Development Team





23.03.2008: Release 3.4.0 "Virgo"
###############################################################################

Here we go with another release :)

This one took a very long time but, well, finally it's here.

Notable new features of this release include:

	- improved themeing support
	- better desktop integration
	- nicer support for many different IRC servers
	- a totally revised option layout
	- basic support for script "addons"
	- improved help subsystem
	- new nice statusbar applets
	- improved scripting engine
	- improved windows and macosx support
	- ....

There is also a lot of small new details that you will
find out by yourself while playing around and finally
we obviously also have a huge number of bugfixes.

This will be the last stable release of the 3.* series and also the last
one using Qt3. From now on we'll be working on major version 4 and
switching completely to Qt4. This release actually contains a preliminary
Qt4 support and if you feel brave you might test it by passing
the "hidden" --enable-qt swtich to configure.

Have fun :)
Szymon Stefanek and The KVIrc Development Team





22.02.2005: Release 3.2.0 "Realia"
###############################################################################

Here we go again: 3.2.0 is out!

The long road to stability has reached an important milestone. The previous
releases of the 3.* series were the first ones after a huge codebase rewrite.
3.2.0 is a result of several months of testing, debugging and improving.
You will surely find it more stable, fast and user friendly.

The old scripting toolbars have been replaced by the new "action" based
approach. Besides the scripting flexibility of the actions we have also
gained "drag & drop" toolbar editing. Just select "Settings -> Toolbars
-> Customize" from the menu and drag your favorite actions (buttons!) to the
toolbars you wish. You can obviously create new toolbars on the fly and destroy
old ones. There is a set of builtin actions and new ones can be added
by the means of the action editor (another new feature) accessible from
the Scripting menu. Play with it :)

The UNICODE support has been improved yet more. Now you can set global,
per-network, per-server and per-window encodings! There is also a new
set of "smart" encoding engines that first try to decode the text as UTF8
and in case of failure fallback to your standard encoding.

The translators did a really good (and hard) job: we actually have KVIrc
translated in 14 languages. I'm really happy about that.

There is a new nice Instant-Messager-like notifier window that pops up when
a query message arrives and KVIrc is not the active application. Yes,
you can disable it, but I'm sure you will not. The notifier is also fully
scriptable and we're working on a simple skinning engine for it.

We also have perl support: now you can use perl from KVS and
KVS from perl. The engine is still quite essential but with some hacking
you can obtain really good results from it.

The small IRC-Context-Display has been removed from the toolbar and has been
replaced by a real status bar that is capable of displaying the same
information in a much cleaner way. The IRC-Context-Display is still
available as an action so you can just drag it back in its place
and hide the status bar to return to the previous release configuration.
The statusbar also supports applets that can be added/dragged/removed by the
means of the mouse: just try the right click.

The scripting engine has been improved and there are several new object
classes. An interesting new feature here is the $tr() function that allows
your scripts to be translated with the standard gettext mechanism. The
widely requested DCOP communication function has been implemented too.

Out-of-the-box mircryption support has been added. The KVIrc's mircryption
engine supports the standard ECB mode and the new CBC mode

The DCC transfers have been improved and seveal related bugs have been
fixed. It is also possible to limit the bandwidth for each transfer.

There is a lot of minor new features that will make your IRC sessions funnier
and more exciting: some of them are described in the ChangeLog file and
other can be found by exploring the user interface.

The small one-man-project has grown to the level of a small community.
People from around the world have joined our development efforts and are
constantly donating their time, eyes and bandwidth in order to make KVIrc
a really good IRC client. Besides of simply giving you a free (as in freedom!)
and nice program for chatting, they are giving you the great opportunity to see
what's behind the scenes: you have the source code for the whole application.
In practical terms this means more or less 300.000 lines of tested, debugged and
commented C++ code, several perl scripts, dozens of makefiles and all the means
that you need to produce a working KVIrc executable on all the supported platforms.
There is a lot of knowledge (some people call it "technology" because it sells better)
inside, ready to be acquired by an attentive reader. Don't forget that the freedom of
building your own executable from the sources gives you the opportunity
of verifying the source itself: for example you might be interested in verifying
that KVIrc will not run any malware code on your machine nor will collect
your private data and sell it to someone while you're happily chatting with a friend.
We call it freedom, please respect it :)

Our community is contantly growing and this release was possible thanks to the
contribution of really many people. There are new mighty developers, new addicted
fans and we have seen a lot of new users. The list of the major contributors
can be found on the KVIrc site, in the about dialog and all around the sources.
If you want to meet them please join the #kvirc channel on your favorite
IRC network or subscribe to our mailing list.

Ah, I was going to forget it: you might have noticed that there is
a version bump from 3.0.1 to 3.2.0. It's a typo that we arbitrairly
decided not to fix :)

Have fun :)
Szymon Stefanek and The KVIrc Development Team




31.05.2004: Release 3.0.1 "System Virtue"
###############################################################################

Here we go again: 3.0.1 is out!

3.0.1 is mainly a bugfix release. 3.0.0 was the first public release
after long time and even if we have tested it for a very long time
some bugs didn't miss to jump out. 3.0.1 contains the fixes for these
problems and adds some minor functionality. The detailed list of
changes is in the ChangeLog file.

The bugs for this release should be reported by using the bugtrack system available
at http://bugtrack.kvirc.omnikron.net

Have fun :)
Szymon Stefanek and The KVIrc Development Team


17.04.2004: Release 3.0.0 "Awakening"
###############################################################################

After a couple of years from the last stable release, here we go again :)

Since the 2.* releases the KVIrc source code has been almost completely
rewritten. The major differences are summarized in the following list:

	- Multiserver: you can have multiple IRC connections in a single window
	- IPV6 support, also for DCC transfers
	- SSL support (also over IPV6)
	- UNICODE support for the user interface
	- Better scripting language
	- A basic Theme Engine

The first major goal of the rewrite was "user-friendliness": you should be
able to start an IRC session by selecting a server and clicking "Connect Now"
just after the installation.
The second major goal was "extreme-flexibility": you can customize the way KVIrc
looks and the scripting language allows you to implement complex responses
to IRC generated events.

There is a lot of minor new features that will make your IRC sessions funnier
and more exciting: some of them are described in the ChangeLog file and
other can be found by exploring the user interface.

This release was possible thanks to the contribution of many people.
The list includes but is not limited to: Triskelios, Jan Wagner (spion),
Juanjo Alvarez (Kane), Andrea Parrella (Yap), Luk De Ketelaere (Balboy),
Sara D'Alia (Sbrokka), Ted Podgurski (alch3m1st), Ciro Guariglia (d3vah),
Christoph Thielecke (Crissi), Eva Schaller (Penny), Niklas Luer�en (Tequila)
Olle Hallnas (Crocodile), Francesco Meloni (Princo), Alessandro Rossini (Aronnax),
Alex Grijalba Martinez (SuD), SuperbepS, Thilo Schulz (Thilo), Dworf,
Jorma Tuomainen (Wiza), Michele Pinassi (O-Zone), Paolo Sammicheli (XDatap1),
Ahinu, xevilstar, The Siena Linux Users Group, cyco & samweis,
The Firenze Linux Users Group, all the subscribers of the KVIrc public mailing
list and finally all the people from #kvirc on IRCNet and Freenode.

Have fun :)
Szymon Stefanek and The KVIrc Development Team

###############################################################################
General notes for the 3.0.0 release of the KVIrc IRC client
###############################################################################

- Installation

The detailed installation instructions for the unix source distribution
are in the INSTALL file.

The Windows version needs no installation: just unzip the archive in
a suitable directory (such as C:\Program Files\) and run kvirc.exe from there.

Other documentation can be found in the doc subdirectory.

- Reporting problems

In this release, the changes are so huge that it was not possible
to test them in all the possible conditions. A 'normal' irc session
should give you no problems.
You are encouraged to "mess" with all the KVIrc options and features,
and to report bugs and misbehaviours to the author.
Anyway, before reporting a bug, ask yourself if it can be caused
by some other part of your system: KVIrc uses many external libraries
and (as all programs) relies on a correct system behaviour.
Make sure that the libraries you use are the correct ones (!!!).

- Contents of a good bug report:

- A gdb backtrace in case of a segfault.
	The more gdb info you send, the biggest is the possibility
	for me to find the problem and maybe a solution.
- A detailed description (read : procedure) to reproduce the bug
	Obviously if possible...
- All information on your system that you think that may be
	related to KVIrc and to the problem itself.

To enable the gdb debugging you must compile kvirc with
the --enable-debug configure option.



03.01.2003: Release 3.0.0 beta2
###############################################################################


Here we go again!
Yes, this is still called "beta", but it should be stable on most machines.
We're simply still missing some features planned for the final 3.0.0.

Beta2 is being released as a source package.
Binary packages (for windows and other platforms) might be available soon
so check out the download section once in a while.

90% of the 2.* branch features have been already re-implemented and there are
many new things to play with.

There is a preliminary UNICODE port: KVIrc UI starts to "speak" foreign (non Latin1) based languages.
IRC character set mapping has been implemented (with 8 commonly used codepages for now).
You should be able to use the Euro sign (ISO-8859-15), write Cyrillic (KOI-8-R, CP-1251, ISO-8859-5),
Greek (ISO-8859-7) and even use ideograms with the UTF-8 encoding.
Character mapping selection is window based thus you should be able to write Cyrillic on #russian,
Greek on #athens and write plain English on #kvirc in the same IRC session.

Some modules have been removed from the main distribution. This is because the source
tree has been growing too much: we are removing the non-strictly-necessary features
and we will release them as separate packages.

On the CVS you can already find the "nap" module that allows chatting (no file sharing yet)
on OpenNap networks.

The scriptcenter dialog has been split in smaller "pieces" and a GUI toolbar editor has been added.

Finally there are tons of bugfixes and improvements: just play with it :)

The bugs for this release should be reported by using the bugtrack system available
at http://bugtrack.kvirc.omnikron.net.

Have fun :)
Szymon Stefanek and The KVIrc Development Team

###############################################################################



25.06.2002
###############################################################################

3.0.0 beta1 (Codename: "Eve's Avatar")

This release is "floating around" since a couple of months...
Well... finally... here we go :)
This is not stable yet, but many people use it and we get a really small number of
critical reports: this means that you probably can use it for your daily chatting.

Beta1 is being released as a source package and a binary distro for the windows platform.
Binary packages for other platforms might be available soon so check out the download section once in a while.

If you had previous KVIrc installations and you experience problems (missing menus for example)
try to remove (or better just rename) the old local configuration directory (locaed
in your home dir probably) and to restart KVIrc.

80% of the 2.* branch features have been already re-implemented and there is a whole
bunch of new things to play with. One of the greates "ChangeLog" entries is the preliminary
SSL support that works for IRC and DCC CHAT (both over IPv4 and IPv6).
CTCP PAGE support has been added and there were some major changes to the variable
management in the scripting language (added "real" array support and changed the syntax for the dictionaries).
Those of you that like colors can now enable the icon-like display of emoticons
and play with icons in the text sent through the server (a new escape code).
The documentation has been reworked a little bit more, there are some new modules and
a lot of new options to try.

The windows version is not completely in sync with the linux one thus you might find
that it lacks some features (mainly advanced scripting language, sound support etc...).
We hope to have a completely synchronized versions on both platforms for the time
of 3.0.0 final.

The bugs for this release should be reported by using our new shiny bugtrack system available
at http://bugtrack.kvirc.omnikron.net.

Well..
That's all folks!

Have fun :)
Szymon Stefanek and The KVIrc Development Team

###############################################################################